import React from 'react';
type myprops = {};
type mystate = { greeting: string, show: boolean};
class Greeting extends React.Component<myprops, mystate> {
    constructor(props: any) {
        super(props);
        this.state = {
            greeting: 'Hello from JavaCodeGeeks',
            show: true
        };
    }
    render = () => {
        console.log(this.state.show && this.state.greeting);
        return  (<div><input type="checkbox" checked={this.state.show} onChange={this.onChange} /><span>Show Greeting</span>
            {this.state.show && <h3>{this.state.greeting}</h3>}
            <h3 className={this.state.show ? '':'hide'}>{this.state.greeting}</h3>
        </div>);
    }
    onChange = (e: any) => {
        this.setState({show: e.target.checked});
    }
}
export default Greeting;
